Bug 119847 - Autoselect font size to change it quicker
Summary: Autoselect font size to change it quicker
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All Linux (All)
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0
Keywords: easyHack, needsDevEval
Depends on:
Blocks: Fonts-Size-Combobox
  Show dependency treegraph
 
Reported: 2018-09-13 13:46 UTC by J22Gim
Modified: 2018-10-29 09:02 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description J22Gim 2018-09-13 13:46:32 UTC
Description:
When I need to change font size of existing (or new) text, I select the text (or not) and go to the sidebar panel to the font size. Instead of using the drop-down menu I simple click inside the box and type the number I want. But first I have to delete (or select) the currently-in-use number.

It would be more convenient if just by clicking inside the box automatically selected the number, so I can just click-and-type the new number. This saves time and is the default behavior or several applications when the user needs to edit values of different properties (text, sizes, sizes, location, etc.)

I suggest to adopt this "editing help" because it really saves time.


I assume this could apply to many LO applications.

Steps to Reproduce:
1. open a file and add some text
2. try to change, eg font size without using the drop-down menu

Actual Results:
You can only change font size if you previously erase the current font size. For this you have to either A) click the size box, erase the current value and type in the new value, or B) click in the size box, select the current size and type in the new value.

Expected Results:
As soon as you click into the size box, the size digits (ie the text of the box) gets automatically selected, so you can just type in the new value without having to erase or select it manually.


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.0.1.1
Build ID: 60bfb1526849283ce2491346ed2aa51c465abfe6
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: kde4; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 V Stuart Foote 2018-09-13 19:22:46 UTC
The behavior of the Font size control is common to:

Formatting toolbar
Character dialog
Properties Content panel of Sidebar

Enabling active edit (overwrite) on entry into the textbox control would be more efficient, but must be implemented consistently. I'd also expect an <Esc> to revert any edit prior to it being applied--leaving the current value in place.
Comment 2 Heiko Tietze 2018-09-16 15:43:48 UTC
I'm pretty sure that we had the same request not so long ago but cannot find it. On the one hand it's how those controls behave - you have to select all/ctrl+a before changing the actual value (IIRC we resolved the ticket as WFM). However, auto selecting the content when the control gets the focus is not too far-fetched.
Comment 3 Maxim Monastirsky 2018-09-16 19:51:17 UTC
(In reply to Heiko Tietze from comment #2)
> I'm pretty sure that we had the same request not so long ago but cannot find
> it.
There is Bug 108012 for the font name box. Looking at the commit there, it should be just one-line change to apply the same fix for the font size box. (However, the implementation there isn't perfect. In particular, it selects all the text on each click, even if the control already had the focus. As a result, it makes it nearly impossible to select part of the text with the mouse.)
Comment 4 Heiko Tietze 2018-09-19 18:35:33 UTC
So we have to improve the mentioned patch and select all content on enter. Easyhack?
Comment 5 Thomas Lendo 2018-09-19 18:58:48 UTC
+1 for this enhancement request and for Maxim's comment to improve font name and font size selection behavior.
Comment 6 J22Gim 2018-09-22 18:27:22 UTC
Please see this, might be (programmatically) related:
https://bugs.documentfoundation.org/show_bug.cgi?id=119917
Comment 7 Commit Notification 2018-10-18 09:25:46 UTC
Nickson committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9b0e098a785165cd9ec28c60505b60e62c3e59dc

tdf#119847 - Can now autoselect font size on first click

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 BogdanB 2018-10-29 09:02:48 UTC
Solved. Verified on
Version: 6.2.0.0.alpha0+
Build ID: 3846561f79cf9065abd9ca83c9fbfbe7e52e28e2
CPU threads: 4; OS: Linux 4.15; UI render: GL; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-10-21_02:45:54
Locale: en-US (ro_RO.UTF-8); Calc: threaded